package com.nec.qnes.tms2.RTC.api;


/**
* com/nec/qnes/tms2/RTC/api/LocationOperations.java .
* IDL-to-Java RpC (|[^u), o[W "3.1" Ő
* : TMS3RTC.idl
* 2011N114 184951b JST
*/


////////////////////////////////////////
public interface LocationOperations 
{
  String deviceid ();
  String userid ();
  com.nec.qnes.tms2.RTC.api.Location getInstance (com.nec.qnes.tms2.RTC.data.AuthToken token);
  int getLocationInfoByVisionID (String visionid, com.nec.qnes.tms2.RTC.data.LocationInfoHolder info);

  // not supported
  int getLocationInfoByRobotID (String robotid, com.nec.qnes.tms2.RTC.data.LocationInfoHolder info);

  // not supported
  int setLocationInfoByRobotID (String robotid, com.nec.qnes.tms2.RTC.data.LocationInfo info);
  int getVisionInfoByVisionID (String visionid, com.nec.qnes.tms2.RTC.data.VisionInfoHolder info);
  int setVisionInfoByVisionID (com.nec.qnes.tms2.RTC.data.VID_VisionInfo[] infos);
  int getSurroundingInfo (double radius, com.nec.qnes.tms2.RTC.data.VID_LocationInfoListHolder infos);

  // not supported
  int getVisionIDByVisionInfo (com.nec.qnes.tms2.RTC.data.VisionInfo_Key[] infos, com.nec.qnes.tms2.RTC.data.StringListListHolder visionids);

  // not supported
  int getRobotIDByVisionID (String visionid, com.nec.qnes.tms2.RTC.data.StringBufferHolder robotid);

  // not supported
  int getVisionIDByRobotID (String robotid, com.nec.qnes.tms2.RTC.data.StringBufferHolder visionid);
  int createVisionID (com.nec.qnes.tms2.RTC.data.VisionInfo info, boolean enableExistCheck, org.omg.CORBA.StringHolder visionid);
  int deleteVisionID (String visionid);
} // interface LocationOperations
