package com.nec.qnes.tms2.RTC.api;


/**
* com/nec/qnes/tms2/RTC/api/LocationPOA.java .
* IDL-to-Java RpC (|[^u), o[W "3.1" Ő
* : TMS3RTC.idl
* 2011N114 184951b JST
*/


////////////////////////////////////////
public abstract class LocationPOA extends org.omg.PortableServer.Servant
 implements com.nec.qnes.tms2.RTC.api.LocationOperations, org.omg.CORBA.portable.InvokeHandler
{

  // Constructors

  private static java.util.Hashtable _methods = new java.util.Hashtable ();
  static
  {
    _methods.put ("_get_deviceid", new java.lang.Integer (0));
    _methods.put ("_get_userid", new java.lang.Integer (1));
    _methods.put ("getInstance", new java.lang.Integer (2));
    _methods.put ("getLocationInfoByVisionID", new java.lang.Integer (3));
    _methods.put ("getLocationInfoByRobotID", new java.lang.Integer (4));
    _methods.put ("setLocationInfoByRobotID", new java.lang.Integer (5));
    _methods.put ("getVisionInfoByVisionID", new java.lang.Integer (6));
    _methods.put ("setVisionInfoByVisionID", new java.lang.Integer (7));
    _methods.put ("getSurroundingInfo", new java.lang.Integer (8));
    _methods.put ("getVisionIDByVisionInfo", new java.lang.Integer (9));
    _methods.put ("getRobotIDByVisionID", new java.lang.Integer (10));
    _methods.put ("getVisionIDByRobotID", new java.lang.Integer (11));
    _methods.put ("createVisionID", new java.lang.Integer (12));
    _methods.put ("deleteVisionID", new java.lang.Integer (13));
  }

  public org.omg.CORBA.portable.OutputStream _invoke (String $method,
                                org.omg.CORBA.portable.InputStream in,
                                org.omg.CORBA.portable.ResponseHandler $rh)
  {
    org.omg.CORBA.portable.OutputStream out = null;
    java.lang.Integer __method = (java.lang.Integer)_methods.get ($method);
    if (__method == null)
      throw new org.omg.CORBA.BAD_OPERATION (0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);

    switch (__method.intValue ())
    {
       case 0:  // com/nec/qnes/tms2/RTC/api/Location/_get_deviceid
       {
         String $result = null;
         $result = this.deviceid ();
         out = $rh.createReply();
         out.write_wstring ($result);
         break;
       }

       case 1:  // com/nec/qnes/tms2/RTC/api/Location/_get_userid
       {
         String $result = null;
         $result = this.userid ();
         out = $rh.createReply();
         out.write_wstring ($result);
         break;
       }

       case 2:  // com/nec/qnes/tms2/RTC/api/Location/getInstance
       {
         com.nec.qnes.tms2.RTC.data.AuthToken token = com.nec.qnes.tms2.RTC.data.AuthTokenHelper.read (in);
         com.nec.qnes.tms2.RTC.api.Location $result = null;
         $result = this.getInstance (token);
         out = $rh.createReply();
         com.nec.qnes.tms2.RTC.api.LocationHelper.write (out, $result);
         break;
       }

       case 3:  // com/nec/qnes/tms2/RTC/api/Location/getLocationInfoByVisionID
       {
         String visionid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.LocationInfoHolder info = new com.nec.qnes.tms2.RTC.data.LocationInfoHolder ();
         int $result = (int)0;
         $result = this.getLocationInfoByVisionID (visionid, info);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.LocationInfoHelper.write (out, info.value);
         break;
       }


  // not supported
       case 4:  // com/nec/qnes/tms2/RTC/api/Location/getLocationInfoByRobotID
       {
         String robotid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.LocationInfoHolder info = new com.nec.qnes.tms2.RTC.data.LocationInfoHolder ();
         int $result = (int)0;
         $result = this.getLocationInfoByRobotID (robotid, info);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.LocationInfoHelper.write (out, info.value);
         break;
       }


  // not supported
       case 5:  // com/nec/qnes/tms2/RTC/api/Location/setLocationInfoByRobotID
       {
         String robotid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.LocationInfo info = com.nec.qnes.tms2.RTC.data.LocationInfoHelper.read (in);
         int $result = (int)0;
         $result = this.setLocationInfoByRobotID (robotid, info);
         out = $rh.createReply();
         out.write_long ($result);
         break;
       }

       case 6:  // com/nec/qnes/tms2/RTC/api/Location/getVisionInfoByVisionID
       {
         String visionid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.VisionInfoHolder info = new com.nec.qnes.tms2.RTC.data.VisionInfoHolder ();
         int $result = (int)0;
         $result = this.getVisionInfoByVisionID (visionid, info);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.VisionInfoHelper.write (out, info.value);
         break;
       }

       case 7:  // com/nec/qnes/tms2/RTC/api/Location/setVisionInfoByVisionID
       {
         com.nec.qnes.tms2.RTC.data.VID_VisionInfo infos[] = com.nec.qnes.tms2.RTC.data.VID_VisionInfoListHelper.read (in);
         int $result = (int)0;
         $result = this.setVisionInfoByVisionID (infos);
         out = $rh.createReply();
         out.write_long ($result);
         break;
       }

       case 8:  // com/nec/qnes/tms2/RTC/api/Location/getSurroundingInfo
       {
         double radius = in.read_double ();
         com.nec.qnes.tms2.RTC.data.VID_LocationInfoListHolder infos = new com.nec.qnes.tms2.RTC.data.VID_LocationInfoListHolder ();
         int $result = (int)0;
         $result = this.getSurroundingInfo (radius, infos);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.VID_LocationInfoListHelper.write (out, infos.value);
         break;
       }


  // not supported
       case 9:  // com/nec/qnes/tms2/RTC/api/Location/getVisionIDByVisionInfo
       {
         com.nec.qnes.tms2.RTC.data.VisionInfo_Key infos[] = com.nec.qnes.tms2.RTC.data.VisionInfo_KeyListHelper.read (in);
         com.nec.qnes.tms2.RTC.data.StringListListHolder visionids = new com.nec.qnes.tms2.RTC.data.StringListListHolder ();
         int $result = (int)0;
         $result = this.getVisionIDByVisionInfo (infos, visionids);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.StringListListHelper.write (out, visionids.value);
         break;
       }


  // not supported
       case 10:  // com/nec/qnes/tms2/RTC/api/Location/getRobotIDByVisionID
       {
         String visionid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.StringBufferHolder robotid = new com.nec.qnes.tms2.RTC.data.StringBufferHolder ();
         int $result = (int)0;
         $result = this.getRobotIDByVisionID (visionid, robotid);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.StringBufferHelper.write (out, robotid.value);
         break;
       }


  // not supported
       case 11:  // com/nec/qnes/tms2/RTC/api/Location/getVisionIDByRobotID
       {
         String robotid = in.read_wstring ();
         com.nec.qnes.tms2.RTC.data.StringBufferHolder visionid = new com.nec.qnes.tms2.RTC.data.StringBufferHolder ();
         int $result = (int)0;
         $result = this.getVisionIDByRobotID (robotid, visionid);
         out = $rh.createReply();
         out.write_long ($result);
         com.nec.qnes.tms2.RTC.data.StringBufferHelper.write (out, visionid.value);
         break;
       }

       case 12:  // com/nec/qnes/tms2/RTC/api/Location/createVisionID
       {
         com.nec.qnes.tms2.RTC.data.VisionInfo info = com.nec.qnes.tms2.RTC.data.VisionInfoHelper.read (in);
         boolean enableExistCheck = in.read_boolean ();
         org.omg.CORBA.StringHolder visionid = new org.omg.CORBA.StringHolder ();
         int $result = (int)0;
         $result = this.createVisionID (info, enableExistCheck, visionid);
         out = $rh.createReply();
         out.write_long ($result);
         out.write_wstring (visionid.value);
         break;
       }

       case 13:  // com/nec/qnes/tms2/RTC/api/Location/deleteVisionID
       {
         String visionid = in.read_wstring ();
         int $result = (int)0;
         $result = this.deleteVisionID (visionid);
         out = $rh.createReply();
         out.write_long ($result);
         break;
       }

       default:
         throw new org.omg.CORBA.BAD_OPERATION (0, org.omg.CORBA.CompletionStatus.COMPLETED_MAYBE);
    }

    return out;
  } // _invoke

  // Type-specific CORBA::Object operations
  private static String[] __ids = {
    "IDL:com/nec/qnes/tms2/RTC/api/Location:1.0"};

  public String[] _all_interfaces (org.omg.PortableServer.POA poa, byte[] objectId)
  {
    return (String[])__ids.clone ();
  }

  public Location _this() 
  {
    return LocationHelper.narrow(
    super._this_object());
  }

  public Location _this(org.omg.CORBA.ORB orb) 
  {
    return LocationHelper.narrow(
    super._this_object(orb));
  }


} // class LocationPOA
